- Qt 6.9
- Qt GUI
- C++ Classes
- QRegion
- Qt 6.9.2 Reference Documentation

# Obsolete Members for QRegion

The following members of class QRegion are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated)` void | setRects(const QRect *rects, int number)

## Member Function Documentation

### `[deprecated]` void QRegion::setRects(const QRect *rects, int number)

This function is deprecated. We strongly advise against using it in new code.

Use the QSpan overload instead.

This is an overloaded function.